This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 222383 - network test fails pre-maturely
network test fails pre-maturely
Status: CLOSED NOTABUG
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Greg Nichols
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-11 17:47 EST by Chris Moore
Modified: 2008-07-16 17:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 16:25:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output file from an hts network test run (1.19 KB, text/plain)
2007-01-11 17:47 EST, Chris Moore
no flags Details
hts network log (2.12 KB, application/octet-stream)
2007-01-16 11:10 EST, Chris Moore
no flags Details
tee'ed output from hts network test (36.03 KB, application/octet-stream)
2007-01-16 11:12 EST, Chris Moore
no flags Details

  None (edit)
Description Chris Moore 2007-01-11 17:47:17 EST
Description of problem:

Network test consistently fails during the first test cycle of both eths.

Version-Release number of selected component (if applicable):
rhel5 (01/5--snap shot 6)
hts 5-15

How reproducible:

SUT: install OS, install hts, "hts plan" "hts certify --test network --server <ip>"
Network Server (1 active NIC): install OS, install hts, "hts server start"

Actual results:

Fails after bandwidth test (see attached log).

Expected results:

It should passes given the instructions.

Additional info:
Comment 1 Chris Moore 2007-01-11 17:47:17 EST
Created attachment 145404 [details]
output file from an hts network test run
Comment 2 Greg Nichols 2007-01-12 16:22:49 EST
Please verify the test server is running via "hts server status" on the Test Server.
Also, Could you check the part of the network test that failed via "tcp_lat
<test server>">

- Thanks!
Comment 3 Chris Moore 2007-01-12 17:34:15 EST
The test server was restarted a few times before random network runs.  Here is
an output from the current server with the status command.
"python network.py server status
/var/hts/export
rpc.mountd (pid 4143) is running...
nfsd (pid 4137 4136 4135 4134 4133 4132 4131 4130) is running...
rpc.rquotad (pid 4109) is running...
httpd (pid 4188 4187 4186 4185 4184 4183 4182 4181 4179) is running...
make server RUNMODE=status
"

Could you give more detail on the exact usage of the tcp_lat parameter in the
test setup?

Thanks.
Comment 4 Greg Nichols 2007-01-15 16:54:07 EST
Sorry, that's "tcp_lat", so on the client, it would be:

> tcp_lat <server ip or hostname>

Comment 5 Chris Moore 2007-01-16 10:40:10 EST
lat_tcp gave a 100.8524microseconds result.
Comment 6 Chris Moore 2007-01-16 11:10:10 EST
Created attachment 145699 [details]
hts network log
Comment 7 Chris Moore 2007-01-16 11:12:14 EST
Created attachment 145701 [details]
tee'ed output from hts network test
Comment 8 Chris Moore 2007-01-16 11:16:14 EST
The test is getting farther, now.  It is now failing to mount an nfs directory.

The log indicates that the test fails, but an "hts print results" gives a false
positive.

The logging process is still over-writing every eth result, but the final one. 
Notice this in my attachments (hts network log vs. tee'ed output from hts
network test).
Comment 9 Greg Nichols 2007-01-17 13:25:53 EST
(In reply to comment #8)
>[...]
> The logging process is still over-writing every eth result, but the final one. 
> Notice this in my attachments (hts network log vs. tee'ed output from hts
> network test).

The logs from each run are saved in the results (/var/hts/results.xml), and 
you can print them via:

hts print --test network --report full



Comment 10 Chris Moore 2007-01-17 15:43:05 EST
Ahh, I see.

For some reason my server wasn't making/exporting my nfs share.  Once I manually
set that up the test ran perfectly.
Comment 11 Chris Moore 2007-01-19 12:43:41 EST
We are still seeing the initial behavior where the network test fails
pre-maturely.  It passes occasionally, but more consistently fails.  Could you
open this back up to keep visibly on the network test.
Comment 12 Ronald Pacheco 2007-01-19 12:58:39 EST
Re-opening per comment 11.
Comment 13 Greg Nichols 2007-01-19 19:59:55 EST
Please attach test results for failed cases.
Comment 14 Chris Moore 2007-01-31 14:35:12 EST
You can close this issue, it is not being seen anymore.
Comment 15 Greg Nichols 2007-01-31 16:25:57 EST
Closing

Note You need to log in before you can comment on or make changes to this bug.